Gemini Omni 1.1 Flash reference-to-video
Model ID google/gemini-omni-1.1-flash/reference-to-video
概览
重要: Optional extra.thinking_level accepts default, high or low. Videos include native audio; there is no audio toggle. 1080p and 4k are upscaled outputs.
接口
POST /v1/video/generations
认证
Authorization: Bearer <AIAPIAIAPI_API_KEY>
请求体
| 参数 | 类型 | 必填 | 可空 | 默认值 | 约束 | 说明 |
|---|---|---|---|---|---|---|
model | string | 是 | 否 | - | values: google/gemini-omni-1.1-flash/reference-to-video | 用于路由请求的模型 ID。 |
prompt | string | 是 | 否 | - | - | Required prompt, up to 20000 characters. |
images | array | 否 | 否 | - | max_count: 10; accepts: HTTP/HTTPS URL, Base64 | PNG/JPEG/JPG/WebP images, at most 20 MB each. Prompt tags <IMAGE_REF_N> use zero-based indexes. |
videos | array | 否 | 否 | - | max_count: 3; accepts: HTTP/HTTPS URL | Public MP4 clips, at most 3 seconds each. Prompt tags <VIDEO_REF_N> use zero-based indexes. |
duration | integer | 否 | 否 | `10` | range: 3-10 | 生成视频的时长,单位为秒。 |
resolution | string | 否 | 否 | `720p` | values: 360p, 720p, 1080p, 4k | 输出视频分辨率。 |
aspect_ratio | string | 否 | 否 | `16:9` | values: 16:9, 9:16 | 输出视频宽高比。 |
seed | integer | 否 | 否 | `-1` | min: -1 | 随机种子;使用 -1 可获得随机结果。 |
model
类型:string · 必填:是 · 可空:否
用于路由请求的模型 ID。
prompt
类型:string · 必填:是 · 可空:否
Required prompt, up to 20000 characters.
images
类型:array · 必填:否 · 可空:否
PNG/JPEG/JPG/WebP images, at most 20 MB each. Prompt tags <IMAGE_REF_N> use zero-based indexes.
videos
类型:array · 必填:否 · 可空:否
Public MP4 clips, at most 3 seconds each. Prompt tags <VIDEO_REF_N> use zero-based indexes.
duration
类型:integer · 必填:否 · 可空:否
生成视频的时长,单位为秒。
resolution
类型:string · 必填:否 · 可空:否
输出视频分辨率。
aspect_ratio
类型:string · 必填:否 · 可空:否
输出视频宽高比。
seed
类型:integer · 必填:否 · 可空:否
随机种子;使用 -1 可获得随机结果。
请求示例
curl --request POST \
--url https://aiapiaiapi.com/v1/video/generations \
--header 'Authorization: Bearer $AIAPIAIAPI_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"model": "google/gemini-omni-1.1-flash/reference-to-video",
"prompt": "A cinematic camera movement through a forest",
"images": ["https://example.com/reference.jpg"],
"duration": 10,
"resolution": "720p"
}'JSON
{
"model": "google/gemini-omni-1.1-flash/reference-to-video",
"prompt": "A cinematic camera movement through a forest",
"images": ["https://example.com/reference.jpg"],
"duration": 10,
"resolution": "720p"
}响应
{
"id": "vid_01K2ABC123",
"object": "video.generation",
"model": "google/gemini-omni-1.1-flash/reference-to-video",
"status": "queued",
"progress": null,
"outputs": [],
"created_at": 1786960800,
"started_at": null,
"completed_at": null,
"error": null
}任务状态
使用创建响应中的 id 作为 task_id:
GET /v1/video/generations/{task_id}
{
"id": "vid_01K2ABC123",
"object": "video.generation",
"model": "google/gemini-omni-1.1-flash/reference-to-video",
"status": "completed",
"progress": 100,
"outputs": [
{ "type": "video", "url": "https://cdn.example.com/videos/vid_01K2ABC123.mp4" }
],
"created_at": 1786960800,
"started_at": 1786960805,
"completed_at": 1786960900,
"error": null
}错误响应
参数校验错误返回 HTTP 400,并包含稳定的错误代码。
{
"error": {
"type": "invalid_request_error",
"code": "unsupported_value",
"message": "The parameter value is not supported by this model.",
"param": "duration"
}
}文档索引
获取完整文档索引:
https://aiapiaiapi.com/llms.txt
使用该文件发现所有可用的 API 文档。